import React from 'react';
require('./index.css')
const headerStatus = {
    1 : 'home',
    2 : 'other'
}
export default class HeaderComponent extends React.Component{
    constructor(props){
        super(props);
        this.getHomeHeader = this.getHomeHeader.bind(this);
        this.getOtherHeader = this.getOtherHeader.bind(this);
        this.state = {
            showHeader : headerStatus[2]
        }
    }

    getHeader(){
        let pages = null;
        switch (this.state.showHeader){
            case headerStatus[1]:
                pages = this.getHomeHeader();
                break;
            case headerStatus[2]:
                pages = this.getOtherHeader();
                break;

        }
        return pages;
    }

    getHomeHeader(){
        return <div className={"homeHeader clearfix"}>
            <div className={"headerContent leftContent fl"}>
                <div className={"headerlogo"}>
                    <img className={"logoImg"} src={UTILPATH.localImg.headlogo} alt=""/>
                </div>
                <div className={"locationInfo"}>
                    <img className={"addIcon"} src={UTILPATH.localImg.addIcon} alt=""/>
                    <div className={"local colfff"}>
                        <p className={"font30"}>华贸商业街</p>
                        <p className={"font24"}>ID : 001</p>
                    </div>
                </div>
            </div>

            <div className={"headerContent rightContent fr"}>
                <img className={"userheadImg"} src={UTILPATH.localImg.defaultImg} alt=""/>
                <div className={"userinfo font24 colfff"}>
                    <p>李大仁</p>
                    <p>ID:001</p>
                </div>
            </div>
        </div>
    }

    getOtherHeader(){
        return <div className={"otherHeader font32 clearfix"}>
            <div className={"fl colfff"}>
                <i className={"iconfont middle icon font58 icon-circle-left circleIcon"}></i>
                <span className={"middle"}>检查编辑结果</span>
            </div>
            <div className={"fr col999"}>
                <i className={"iconfont middle icon font60 icon-save saveIcon"}></i>
                <span className={"middle"}>保存</span>
            </div>
        </div>
    }




    render(){
        let pages = this.getHeader.bind(this)();
        return <div className={"headerComponent"}>
            {pages}
        </div>
    }
}