import React from 'react';
require('./index.css')
export default class PopupComponent extends React.Component{
    constructor(props){
        super(props);
        this.getDefaultPopup = this.getDefaultPopup.bind(this);
    }

    getDefaultPopup(){
        let props = this.props;
        let {popupInfo} = props;
        let arrButton = popupInfo.popupButtons ? popupInfo.popupButtons : []
        let dom = arrButton.map((a,k)=>{
            return (
                a.option && a.option instanceof Function ? <div key={"popuoButton"+k} className={"defaultPopupButton"} onClick={()=>a.option()}>{a.text}</div> :
                    <div key={"popuoButton"+k} className={"defaultPopupButton"}>{a.text}</div>
            )
        });
        return (
            <div className={"defaultPopup col333"}>
                <div className={"defaultPopupText font30"}>
                    {this.props.text}
                </div>
                <div className={"defaultPopupButtons font32"}>
                    {dom}
                </div>
            </div>
        )
    }

    render(){
        let {popupInfo} = this.props;
        return (
            <div className={"popupComponent " + (popupInfo.showPopup ? ' ' : 'hide ') + popupInfo.classNames}>
                {popupInfo.popupChild ? popupInfo.popupChild :
                    this.getDefaultPopup()
                }
            </div>
        )
    }
}