import React from 'react';
require('./index.css');

export default class TextAreaContainer extends React.Component{
    constructor(props){
        super(props);
        this.state = {
            text : ''
        }
    }
    handleChange(e){
        let value = e.target.value
        this.setState({text: value});
    }
    render(){
        return (
            <div className={"textAreaContainer"}>
                <div className={"textAreaDiv font30 col999"} >
                    <textarea className={"textAreaBox font30 col999"} name="" id="" cols="30" rows="10" onChange={this.handleChange.bind(this)} value={this.state.text} placeholder={"点击输入"}></textarea>
                </div>
            </div>
        )
    }
}
